org.keycloak.services.managers

## Class ClientSessionCode

- java.lang.Object
- - org.keycloak.services.managers.ClientSessionCode

-     public class ClientSessionCode
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSessionCode(RealmModel realm, ClientSessionModel clientSession)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientSessionModel` | `getClientSession()`
    `String` | `getCode()`
    `Set<RoleModel>` | `getRequestedRoles()`
    `boolean` | `isValid(ClientSessionModel.Action requestedAction)`
    `static ClientSessionCode` | `parse(String code, KeycloakSession session)`
    `static ClientSessionCode` | `parse(String code, KeycloakSession session, RealmModel realm)`
    `void` | `setAction(ClientSessionModel.Action action)`
    `void` | `setRequiredAction(UserModel.RequiredAction requiredAction)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTION_KEY

          public static final String ACTION_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClientSessionCode

          public ClientSessionCode(RealmModel realm,
                           ClientSessionModel clientSession)

  - ### Method Detail

    - #### parse

          public static ClientSessionCode parse(String code,
                                KeycloakSession session)

    - #### parse

          public static ClientSessionCode parse(String code,
                                KeycloakSession session,
                                RealmModel realm)

    - #### getClientSession

          public ClientSessionModel getClientSession()

    - #### isValid

          public boolean isValid(ClientSessionModel.Action requestedAction)

    - #### getRequestedRoles

          public Set<RoleModel> getRequestedRoles()

    - #### setAction

          public void setAction(ClientSessionModel.Action action)

    - #### setRequiredAction

          public void setRequiredAction(UserModel.RequiredAction requiredAction)

    - #### getCode

          public String getCode()

Copyright © 2015. All Rights Reserved.